Bug 170236 - [patch] www/firefox: add support for PREFIX != LOCALBASE to Makefile.webplugins
[patch] www/firefox: add support for PREFIX != LOCALBASE to Makefile.webplugins
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gecko
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-28 19:30 UTC by Alberto Villa
Modified: 2012-08-30 16:05 UTC (History)
0 users

See Also:


Attachments
file.diff (5.37 KB, patch)
2012-07-28 19:30 UTC, Alberto Villa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alberto Villa freebsd_committer 2012-07-28 19:30:05 UTC
Web plug-ins (ports using www/firefox/Makefile.webplugins) are symlinked to browser-specific directories. Those symlinks are installed in PREFIX, while they should be installed in LOCALBASE (browsers are patched to search them in LOCALBASE).

Fix: The attached patch changes WEBPLUGINS_LIBDIR to be in LOCALBASE. WEBPLUGINS_DIR - the directory where the plug-in file is actually installed - was left in PREFIX (with WEBPLUGINS_LIBDIR:S,^${LOCALBASE}/,${PREFIX}/), as the real location of the file is not important, and it really belongs to PREFIX.

As a consequence, WEBPLUGINS_LIBDIR (with %D instead of LOCALBASE) is now removed (@dirrmtry) twice when PREFIX != LOCALBASE (before and after the @cwd %%LOCALBASE%%), otherwise there's going to be a leftover. This might cause the directory to be removed uselessly when WEBPLUGINS_DIR is defined to something independent from it, but this cannot be a problem as either it has files inside, or it doesn't exist (and, remember, it's @dirrmtry).

I've tested some dependent ports and they work fine with both default and custom PREFIX. The question is: do they need a PORTREVISION bump? If people have them installed in custom PREFIX (!= LOCALBASE) - quite unlikely - the symlinks need to be regenerated.

Patch attached with submission follows:
How-To-Repeat: This became apparent while working on a KDE port (which has PREFIX != LOCALBASE): Firefox is not going to check into /usr/local/kde4/lib/browser_plugins/*.
Comment 1 Edwin Groothuis freebsd_committer 2012-07-28 19:30:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gecko

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2012-08-30 15:54:39 UTC
Author: flo
Date: Thu Aug 30 14:54:17 2012
New Revision: 303378
URL: http://svn.freebsd.org/changeset/ports/303378

Log:
  - update firefox and thunderbird to 15.0
  - update firefox-esr, thunderbird-esr, linux-thunderbird and linux-firefox to 10.0.7
  - update seamonkey and linux-seamonkey to 2.12
  - update nss to 3.13.6
  - update bsdipc code (posix_spawn, SysV shared memory)
  - rename patches to easily track those not (yet) submitted upstream
  - reduce package size, except for www/libxul[1]
  - restore default objdir to what it was in 13.0
  - fix mail/enigmail after thunderbird build changes
  - don't accidentally pick up headers from installed ports[3]
  - add support for PREFIX != LOCALBASE to Makefile.webplugins [4]
  - document vulnerabilities in vuln.xml
  - *miscellaneous cleanups and fixups*
  
  Obtained from:	OpenBSD ports[1]
  PR:		ports/159831, ports/160933, ports/170467[3], ports/170236 [4]
  Submitted by:	avilla [4]
  In collaboration with:	Jan Beich <jbeich@tormail.net> Who did most of the hard
  			work.

Added:
  head/devel/nspr/files/patch-bug301986   (contents, props changed)
  head/devel/nspr/files/patch-bug782109   (contents, props changed)
  head/devel/nspr/files/patch-bug782111   (contents, props changed)
  head/devel/nspr/files/patch-bug782113   (contents, props changed)
  head/devel/nspr/files/patch-bug782124   (contents, props changed)
  head/devel/nspr/files/patch-bug782815   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-bug691898   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-bug714312   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-bug725655   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-bug729155   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-bug761077   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-bug778056
     - copied unchanged from r303365, head/mail/thunderbird-esr/files/patch-mozilla-memory-mozalloc-mozalloc.cpp
  head/mail/thunderbird-esr/files/patch-bug778078
     - copied, changed from r303365, head/mail/thunderbird-esr/files/patch-mozilla-toolkit-xre-nsAppRunner.cpp
  head/mail/thunderbird-esr/files/patch-bug779847   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-bug781457
     - copied, changed from r303365, head/mail/thunderbird-esr/files/patch-mozilla-xpcom-base-nsStackWalk.cpp
     - copied unchanged from r303365, head/mail/thunderbird-esr/files/patch-mozilla__content__base__public__nsContentUtils.h
  head/mail/thunderbird-esr/files/patch-bug783463   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-bug784776   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-bug785638   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-dom-ipc-ContentChild.cpp   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla_toolkit_mozapps_installer_packager_mk   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-toolkit-xre-nsEmbedFunctions.cpp   (contents, props changed)
  head/mail/thunderbird/files/extra-bug780531   (contents, props changed)
  head/mail/thunderbird/files/patch-bug722975   (contents, props changed)
     - copied, changed from r303365, head/mail/thunderbird/files/patch-mozilla-gfx-thebes-gfxPlatform.cpp
  head/mail/thunderbird/files/patch-bug723860   (contents, props changed)
  head/mail/thunderbird/files/patch-bug759459   (contents, props changed)
  head/mail/thunderbird/files/patch-bug760899
     - copied, changed from r303365, head/mail/thunderbird/files/patch-mozilla-content-media-gstreamer-nsGStreamerReader.cpp
  head/mail/thunderbird/files/patch-bug761030   (contents, props changed)
  head/mail/thunderbird/files/patch-bug761077   (contents, props changed)
  head/mail/thunderbird/files/patch-bug761419   (contents, props changed)
  head/mail/thunderbird/files/patch-bug775257   (contents, props changed)
  head/mail/thunderbird/files/patch-bug777696   (contents, props changed)
  head/mail/thunderbird/files/patch-bug778056
     - copied unchanged from r303365, head/mail/thunderbird/files/patch-mozilla-memory-mozalloc-mozalloc.cpp
  head/mail/thunderbird/files/patch-bug778078
     - copied, changed from r303365, head/www/seamonkey/files/patch-mozilla-toolkit-xre-nsAppRunner.cpp
  head/mail/thunderbird/files/patch-bug779847   (contents, props changed)
  head/mail/thunderbird/files/patch-bug781457
     - copied, changed from r303365, head/mail/thunderbird/files/patch-mozilla-xpcom-base-nsStackWalk.cpp
     - copied unchanged from r303365, head/mail/thunderbird/files/patch-mozilla__content__base__public__nsContentUtils.h
  head/mail/thunderbird/files/patch-bug783463   (contents, props changed)
  head/mail/thunderbird/files/patch-bug783571
     - copied, changed from r303365, head/mail/thunderbird/files/patch-mail-components-Makefile.in
  head/mail/thunderbird/files/patch-bug784741   (contents, props changed)
  head/mail/thunderbird/files/patch-bug784776   (contents, props changed)
  head/mail/thunderbird/files/patch-bug785638   (contents, props changed)
  head/mail/thunderbird/files/patch-configure.in   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla_toolkit_mozapps_installer_packager_mk   (contents, props changed)
  head/security/nss/files/patch-..::coreconf::UNIX.mk   (contents, props changed)
  head/security/nss/files/patch-bug301986   (contents, props changed)
  head/www/firefox-esr/files/patch-bug691898   (contents, props changed)
  head/www/firefox-esr/files/patch-bug714312   (contents, props changed)
  head/www/firefox-esr/files/patch-bug725655   (contents, props changed)
  head/www/firefox-esr/files/patch-bug729155   (contents, props changed)
  head/www/firefox-esr/files/patch-bug761077   (contents, props changed)
  head/www/firefox-esr/files/patch-bug778056
     - copied unchanged from r303365, head/www/firefox-esr/files/patch-memory-mozalloc-mozalloc.cpp
  head/www/firefox-esr/files/patch-bug778078
     - copied, changed from r303365, head/www/firefox-esr/files/patch-toolkit-xre-nsAppRunner.cpp
  head/www/firefox-esr/files/patch-bug779847   (contents, props changed)
  head/www/firefox-esr/files/patch-bug781457
     - copied, changed from r303365, head/www/firefox-esr/files/patch-xpcom_base_nsStackWalk.cpp
     - copied unchanged from r303365, head/www/firefox-esr/files/patch-content__base__public__nsContentUtils.h
  head/www/firefox-esr/files/patch-bug783463   (contents, props changed)
  head/www/firefox-esr/files/patch-bug784776   (contents, props changed)
  head/www/firefox-esr/files/patch-bug785638   (contents, props changed)
  head/www/firefox-esr/files/patch-dom-ipc-ContentChild.cpp   (contents, props changed)
  head/www/firefox-esr/files/patch-toolkit-xre-nsEmbedFunctions.cpp   (contents, props changed)
  head/www/firefox-esr/files/patch-toolkit_mozapps_installer_packager_mk   (contents, props changed)
  head/www/firefox/files/extra-bug780531   (contents, props changed)
  head/www/firefox/files/patch-bug722975   (contents, props changed)
     - copied, changed from r303365, head/www/firefox/files/patch-gfx-thebes-gfxPlatform.cpp
  head/www/firefox/files/patch-bug723860   (contents, props changed)
  head/www/firefox/files/patch-bug759459   (contents, props changed)
  head/www/firefox/files/patch-bug760899
     - copied, changed from r303365, head/www/firefox/files/patch-content-media-gstreamer-nsGStreamerReader.cpp
  head/www/firefox/files/patch-bug761030   (contents, props changed)
  head/www/firefox/files/patch-bug761077   (contents, props changed)
  head/www/firefox/files/patch-bug761419   (contents, props changed)
  head/www/firefox/files/patch-bug775257   (contents, props changed)
  head/www/firefox/files/patch-bug777696   (contents, props changed)
  head/www/firefox/files/patch-bug778056
     - copied unchanged from r303365, head/www/firefox/files/patch-memory-mozalloc-mozalloc.cpp
  head/www/firefox/files/patch-bug778078
     - copied, changed from r303365, head/www/firefox/files/patch-toolkit-xre-nsAppRunner.cpp
  head/www/firefox/files/patch-bug779847   (contents, props changed)
  head/www/firefox/files/patch-bug781457
     - copied, changed from r303365, head/www/firefox/files/patch-xpcom_base_nsStackWalk.cpp
     - copied unchanged from r303365, head/www/firefox/files/patch-content__base__public__nsContentUtils.h
  head/www/firefox/files/patch-bug783463   (contents, props changed)
  head/www/firefox/files/patch-bug784741   (contents, props changed)
  head/www/firefox/files/patch-bug784776   (contents, props changed)
  head/www/firefox/files/patch-bug785638   (contents, props changed)
  head/www/firefox/files/patch-toolkit_mozapps_installer_packager_mk   (contents, props changed)
  head/www/libxul/files/patch-bug761077   (contents, props changed)
  head/www/libxul/files/patch-bug778078   (contents, props changed)
  head/www/libxul/files/patch-bug781457
     - copied, changed from r303365, head/www/firefox/files/patch-xpcom_base_nsStackWalk.cpp
  head/www/seamonkey/files/extra-bug780531   (contents, props changed)
  head/www/seamonkey/files/patch-bug722975   (contents, props changed)
     - copied, changed from r303365, head/www/seamonkey/files/patch-mozilla-gfx-thebes-gfxPlatform.cpp
  head/www/seamonkey/files/patch-bug723860   (contents, props changed)
  head/www/seamonkey/files/patch-bug759459   (contents, props changed)
  head/www/seamonkey/files/patch-bug760899
     - copied, changed from r303365, head/mail/thunderbird/files/patch-mozilla-content-media-gstreamer-nsGStreamerReader.cpp
  head/www/seamonkey/files/patch-bug761030   (contents, props changed)
  head/www/seamonkey/files/patch-bug761077   (contents, props changed)
  head/www/seamonkey/files/patch-bug761419   (contents, props changed)
  head/www/seamonkey/files/patch-bug775257   (contents, props changed)
  head/www/seamonkey/files/patch-bug777696   (contents, props changed)
  head/www/seamonkey/files/patch-bug778056
     - copied unchanged from r303365, head/www/seamonkey/files/patch-mozilla-memory-mozalloc-mozalloc.cpp
  head/www/seamonkey/files/patch-bug778078
     - copied, changed from r303365, head/www/seamonkey/files/patch-mozilla-toolkit-xre-nsAppRunner.cpp
  head/www/seamonkey/files/patch-bug779847   (contents, props changed)
  head/www/seamonkey/files/patch-bug781457
     - copied unchanged from r303365, head/www/seamonkey/files/patch-mozilla-xpcom-base-nsStackWalk.cpp
     - copied unchanged from r303365, head/www/seamonkey/files/patch-mozilla__content__base__public__nsContentUtils.h
  head/www/seamonkey/files/patch-bug783463   (contents, props changed)
  head/www/seamonkey/files/patch-bug784741   (contents, props changed)
  head/www/seamonkey/files/patch-bug784776   (contents, props changed)
  head/www/seamonkey/files/patch-bug785638   (contents, props changed)
  head/www/seamonkey/files/patch-configure.in   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla_toolkit_mozapps_installer_packager_mk   (contents, props changed)
Directory Properties:
  head/mail/thunderbird-esr/files/patch-bug781474   (props changed)
  head/mail/thunderbird/files/patch-bug781474   (props changed)
  head/www/firefox-esr/files/patch-bug781474   (props changed)
  head/www/firefox/files/patch-bug781474   (props changed)
  head/www/seamonkey/files/patch-bug781474   (props changed)
Deleted:
  head/devel/nspr/files/patch-..::pr::src::pthreads::ptio.c
  head/devel/nspr/files/patch-.._pr_include_md__freebsd.cfg
  head/devel/nspr/files/patch-.._pr_include_md__freebsd.h
  head/devel/nspr/files/patch-.._pr_src_misc_prsystem.c
  head/devel/nspr/files/patch-pthread_t
  head/mail/thunderbird-esr/files/patch-ipc-chromium-src-base-file_util_linux.cc
  head/mail/thunderbird-esr/files/patch-ipc-chromium-src-base-time_posix.cc
  head/mail/thunderbird-esr/files/patch-mozilla-config-mkdepend-Makefile.in
  head/mail/thunderbird-esr/files/patch-mozilla-dom-plugins-ipc-PluginMessageUtils.cpp
  head/mail/thunderbird-esr/files/patch-mozilla-gfx-ycbcr-Makefile.in
  head/mail/thunderbird-esr/files/patch-mozilla-js-src-Makefile.in
  head/mail/thunderbird-esr/files/patch-mozilla-js-src-config-mkdepend-Makefile.in
  head/mail/thunderbird-esr/files/patch-mozilla-js-src-config_config.mk
  head/mail/thunderbird-esr/files/patch-mozilla-js-src-jscpucfg.h
  head/mail/thunderbird-esr/files/patch-mozilla-layout-generic-Makefile.in
  head/mail/thunderbird-esr/files/patch-mozilla-media-libvpx-vpx_config.c
  head/mail/thunderbird-esr/files/patch-mozilla-media-libvpx-vpx_config.h
  head/mail/thunderbird-esr/files/patch-mozilla-memory-mozalloc-mozalloc.cpp
  head/mail/thunderbird-esr/files/patch-mozilla-security-coreconf-FreeBSD.mk
  head/mail/thunderbird-esr/files/patch-mozilla-security-nss-lib-Makefile
  head/mail/thunderbird-esr/files/patch-mozilla-security_nss_lib_freebl_mpi_mpcpucache.c
  head/mail/thunderbird-esr/files/patch-mozilla-toolkit-xre-nsAppRunner.cpp
  head/mail/thunderbird-esr/files/patch-mozilla-widget-src-qt-nsNativeThemeQt.cpp
  head/mail/thunderbird-esr/files/patch-mozilla-widget-src-qt-nsSound.cpp
  head/mail/thunderbird-esr/files/patch-mozilla-widget-src-qt-nsWindow.cpp
  head/mail/thunderbird-esr/files/patch-mozilla-xpcom-base-nsStackWalk.cpp
  head/mail/thunderbird-esr/files/patch-mozilla-xpcom-reflect-xptcall-public-xptcstubsdecl.inc
  head/mail/thunderbird-esr/files/patch-mozilla-xpcom-reflect-xptcall-src-md-unix-Makefile.in
  head/mail/thunderbird-esr/files/patch-mozilla__content__base__public__nsContentUtils.h
  head/mail/thunderbird-esr/files/patch-nsprpub-pr-include-md_freebsd.cfg
  head/mail/thunderbird-esr/files/patch-nsprpub-pr-include-md_freebsd.h
  head/mail/thunderbird/files/patch-mail-components-Makefile.in
  head/mail/thunderbird/files/patch-mail-components-build-Makefile.in
  head/mail/thunderbird/files/patch-mozilla-config-mkdepend-Makefile.in
  head/mail/thunderbird/files/patch-mozilla-content-media-gstreamer-nsGStreamerReader.cpp
  head/mail/thunderbird/files/patch-mozilla-dom-plugins-ipc-PluginMessageUtils.cpp
  head/mail/thunderbird/files/patch-mozilla-gfx-thebes-gfxPlatform.cpp
  head/mail/thunderbird/files/patch-mozilla-gfx-ycbcr-Makefile.in
  head/mail/thunderbird/files/patch-mozilla-js-src-Makefile.in
  head/mail/thunderbird/files/patch-mozilla-js-src-config-mkdepend-Makefile.in
  head/mail/thunderbird/files/patch-mozilla-js-src-config_config.mk
  head/mail/thunderbird/files/patch-mozilla-js-src-jscpucfg.h
  head/mail/thunderbird/files/patch-mozilla-layout-generic-Makefile.in
  head/mail/thunderbird/files/patch-mozilla-media-libvpx-vpx_config.c
  head/mail/thunderbird/files/patch-mozilla-media-libvpx-vpx_config.h
  head/mail/thunderbird/files/patch-mozilla-memory-mozalloc-mozalloc.cpp
  head/mail/thunderbird/files/patch-mozilla-security-coreconf-FreeBSD.mk
  head/mail/thunderbird/files/patch-mozilla-security-nss-lib-Makefile
  head/mail/thunderbird/files/patch-mozilla-security_nss_lib_freebl_mpi_mpcpucache.c
  head/mail/thunderbird/files/patch-mozilla-toolkit-xre-nsAppRunner.cpp
  head/mail/thunderbird/files/patch-mozilla-widget-qt-nsNativeThemeQt.cpp
  head/mail/thunderbird/files/patch-mozilla-widget-qt-nsSound.cpp
  head/mail/thunderbird/files/patch-mozilla-widget-qt-nsWindow.cpp
  head/mail/thunderbird/files/patch-mozilla-xpcom-base-nsStackWalk.cpp
  head/mail/thunderbird/files/patch-mozilla-xpcom-reflect-xptcall-public-xptcstubsdecl.inc
  head/mail/thunderbird/files/patch-mozilla-xpcom-reflect-xptcall-src-md-unix-Makefile.in
  head/mail/thunderbird/files/patch-mozilla__content__base__public__nsContentUtils.h
  head/mail/thunderbird/files/patch-nsprpub-pr-include-md_freebsd.cfg
  head/mail/thunderbird/files/patch-nsprpub-pr-include-md_freebsd.h
  head/www/firefox-esr/files/patch-config_config.mk
  head/www/firefox-esr/files/patch-config_mkdepend_Makefile.in
  head/www/firefox-esr/files/patch-content__base__public__nsContentUtils.h
  head/www/firefox-esr/files/patch-dom-plugins-ipc-PluginMessageUtils.cpp
  head/www/firefox-esr/files/patch-gfx-ycbcr-Makefile.in
  head/www/firefox-esr/files/patch-ipc-chromium-src-base-file_util_linux.cc
  head/www/firefox-esr/files/patch-ipc-chromium-src-base-time_posix.cc
  head/www/firefox-esr/files/patch-js-src-Makefile.in
  head/www/firefox-esr/files/patch-js-src-config-mkdepend_Makefile.in
  head/www/firefox-esr/files/patch-js-src-config_config.mk
  head/www/firefox-esr/files/patch-js-src-jscpucfg.h
  head/www/firefox-esr/files/patch-layout_generic_Makefile.in
  head/www/firefox-esr/files/patch-media-libvpx-vpx_config.c
  head/www/firefox-esr/files/patch-media-libvpx-vpx_config.h
  head/www/firefox-esr/files/patch-memory-mozalloc-mozalloc.cpp
  head/www/firefox-esr/files/patch-nsprpub-pr-include-md_freebsd.cfg
  head/www/firefox-esr/files/patch-nsprpub-pr-include-md_freebsd.h
  head/www/firefox-esr/files/patch-security-coreconf-FreeBSD.mk
  head/www/firefox-esr/files/patch-security-nss-lib-Makefile
  head/www/firefox-esr/files/patch-security-nss-lib-freebl-mpi-mpcpucache.c
  head/www/firefox-esr/files/patch-toolkit-xre-nsAppRunner.cpp
  head/www/firefox-esr/files/patch-widget-src-qt-nsNativeThemeQt.cpp
  head/www/firefox-esr/files/patch-widget-src-qt-nsSound.cpp
  head/www/firefox-esr/files/patch-widget-src-qt-nsWindow.cpp
  head/www/firefox-esr/files/patch-xpcom-reflect-xptcall-public-xptcstubsdecl.inc
  head/www/firefox-esr/files/patch-xpcom-reflect-xptcall-src-xptcprivate.h
  head/www/firefox-esr/files/patch-xpcom_base_nsStackWalk.cpp
  head/www/firefox-esr/files/patch-xpcom_reflect_xptcall_src_md_unix_Makefile.in
  head/www/firefox/files/patch-config_config.mk
  head/www/firefox/files/patch-config_mkdepend_Makefile.in
  head/www/firefox/files/patch-content-media-gstreamer-nsGStreamerReader.cpp
  head/www/firefox/files/patch-content__base__public__nsContentUtils.h
  head/www/firefox/files/patch-dom-plugins-ipc-PluginMessageUtils.cpp
  head/www/firefox/files/patch-gfx-thebes-gfxPlatform.cpp
  head/www/firefox/files/patch-gfx-ycbcr-Makefile.in
  head/www/firefox/files/patch-js-src-Makefile.in
  head/www/firefox/files/patch-js-src-config-mkdepend_Makefile.in
  head/www/firefox/files/patch-js-src-config_config.mk
  head/www/firefox/files/patch-js-src-jscpucfg.h
  head/www/firefox/files/patch-layout_generic_Makefile.in
  head/www/firefox/files/patch-media-libvpx-vpx_config.c
  head/www/firefox/files/patch-media-libvpx-vpx_config.h
  head/www/firefox/files/patch-memory-mozalloc-mozalloc.cpp
  head/www/firefox/files/patch-nsprpub-pr-include-md_freebsd.cfg
  head/www/firefox/files/patch-nsprpub-pr-include-md_freebsd.h
  head/www/firefox/files/patch-security-coreconf-FreeBSD.mk
  head/www/firefox/files/patch-security-nss-lib-Makefile
  head/www/firefox/files/patch-security-nss-lib-freebl-mpi-mpcpucache.c
  head/www/firefox/files/patch-toolkit-xre-nsAppRunner.cpp
  head/www/firefox/files/patch-widget-qt-nsNativeThemeQt.cpp
  head/www/firefox/files/patch-widget-qt-nsSound.cpp
  head/www/firefox/files/patch-widget-qt-nsWindow.cpp
  head/www/firefox/files/patch-xpcom-reflect-xptcall-public-xptcstubsdecl.inc
  head/www/firefox/files/patch-xpcom-reflect-xptcall-src-xptcprivate.h
  head/www/firefox/files/patch-xpcom_base_nsStackWalk.cpp
  head/www/firefox/files/patch-xpcom_reflect_xptcall_src_md_unix_Makefile.in
  head/www/kompozer/files/patch-js-src-Makefile.in
  head/www/libxul/files/patch-config-mkdepend-imakemdep.h
  head/www/libxul/files/patch-config_mkdepend_Makefile.in
  head/www/libxul/files/patch-config_rules.mk
  head/www/libxul/files/patch-js-src-Makefile.in
  head/www/libxul/files/patch-js-src-config-mkdepend-Makefile.in
  head/www/libxul/files/patch-layout_generic_Makefile.in
  head/www/libxul/files/patch-security-nss-lib-Makefile
  head/www/libxul/files/patch-security_coreconf_FreeBSD.mk
  head/www/libxul/files/patch-security_nss_lib_freebl_mpi_mpcpucache.c
  head/www/libxul/files/patch-toolkit-xre-nsAppRunner.cpp
  head/www/libxul/files/patch-xpcom_reflect_xptcall_public_xptcstubsdecl.inc
  head/www/libxul/files/patch-xpcom_reflect_xptcall_src_md_unix_Makefile.in
  head/www/seamonkey/files/mozconfig-generic.in
  head/www/seamonkey/files/patch-config-rules.mk
  head/www/seamonkey/files/patch-mozilla-config-autoconf.mk.in
  head/www/seamonkey/files/patch-mozilla-config-mkdepend-Makefile.in
  head/www/seamonkey/files/patch-mozilla-config-mkdepend-imakemdep.h
  head/www/seamonkey/files/patch-mozilla-content-media-gstreamer-nsGStreamerReader.cpp
  head/www/seamonkey/files/patch-mozilla-dom-plugins-ipc-PluginMessageUtils.cpp
  head/www/seamonkey/files/patch-mozilla-gfx-thebes-gfxPlatform.cpp
  head/www/seamonkey/files/patch-mozilla-gfx-ycbcr-Makefile.in
  head/www/seamonkey/files/patch-mozilla-gfx-ycbcr-chromium_types.h
  head/www/seamonkey/files/patch-mozilla-js-src-Makefile.in
  head/www/seamonkey/files/patch-mozilla-js-src-config-mkdepend-Makefile.in
  head/www/seamonkey/files/patch-mozilla-js-src-jscpucfg.h
  head/www/seamonkey/files/patch-mozilla-media-libvpx-vpx_config.c
  head/www/seamonkey/files/patch-mozilla-media-libvpx-vpx_config.h
  head/www/seamonkey/files/patch-mozilla-memory-mozalloc-mozalloc.cpp
  head/www/seamonkey/files/patch-mozilla-security-coreconf-FreeBSD.mk
  head/www/seamonkey/files/patch-mozilla-security-nss-lib-Makefile
  head/www/seamonkey/files/patch-mozilla-toolkit-xre-nsAppRunner.cpp
  head/www/seamonkey/files/patch-mozilla-widget-qt-nsNativeThemeQt.cpp
  head/www/seamonkey/files/patch-mozilla-widget-qt-nsSound.cpp
  head/www/seamonkey/files/patch-mozilla-widget-qt-nsWindow.cpp
  head/www/seamonkey/files/patch-mozilla-xpcom-base-nsStackWalk.cpp
  head/www/seamonkey/files/patch-mozilla-xpcom-io-nsNativeCharsetUtils.cpp
  head/www/seamonkey/files/patch-mozilla-xpcom-reflect-xptcall-public-xptcstubsdecl.inc
  head/www/seamonkey/files/patch-mozilla-xpcom-reflect-xptcall-src-md-unix-Makefile.in
  head/www/seamonkey/files/patch-mozilla__content__base__public__nsContentUtils.h
Modified:
  head/Mk/bsd.gecko.mk
  head/devel/nspr/files/patch-warnings   (contents, props changed)
  head/mail/enigmail/Makefile
  head/mail/linux-thunderbird/Makefile
  head/mail/linux-thunderbird/distinfo
  head/mail/thunderbird-esr-i18n/Makefile
  head/mail/thunderbird-esr-i18n/distinfo
  head/mail/thunderbird-esr/Makefile
  head/mail/thunderbird-esr/distinfo
  head/mail/thunderbird-esr/files/patch-bug753046
  head/mail/thunderbird-esr/files/patch-mozilla-config_autoconf.mk.in   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-configure.in
  head/mail/thunderbird-esr/files/patch-mozilla-ipc-chromium-src-base-message_pump_libevent.cc
  head/mail/thunderbird-esr/files/patch-mozilla__xpcom__threads__nsThreadManager.cpp   (contents, props changed)
  head/mail/thunderbird-i18n/Makefile
  head/mail/thunderbird-i18n/distinfo
  head/mail/thunderbird/Makefile
  head/mail/thunderbird/distinfo
  head/mail/thunderbird/files/patch-alsapulse
  head/mail/thunderbird/files/patch-bug753046
  head/mail/thunderbird/files/patch-mozilla-config_autoconf.mk.in   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-configure.in
  head/mail/thunderbird/files/patch-mozilla__xpcom__threads__nsThreadManager.cpp   (contents, props changed)
  head/security/ca_root_nss/Makefile   (contents, props changed)
  head/security/ca_root_nss/distinfo   (contents, props changed)
  head/security/nss/Makefile   (contents, props changed)
  head/security/nss/distinfo   (contents, props changed)
  head/security/nss/files/patch-..::coreconf::FreeBSD.mk
  head/security/vuxml/vuln.xml
  head/www/firefox-esr-i18n/Makefile
  head/www/firefox-esr-i18n/distinfo
  head/www/firefox-esr/Makefile
  head/www/firefox-esr/distinfo
  head/www/firefox-esr/files/patch-bug753046
  head/www/firefox-esr/files/patch-config_autoconf.mk.in   (contents, props changed)
  head/www/firefox-esr/files/patch-configure.in
  head/www/firefox-esr/files/patch-ipc-chromium-src-base-message_pump_libevent.cc
  head/www/firefox-esr/files/patch-xpcom__threads__nsThreadManager.cpp   (contents, props changed)
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
  head/www/firefox/Makefile
  head/www/firefox/Makefile.options
  head/www/firefox/Makefile.webplugins
  head/www/firefox/distinfo
  head/www/firefox/files/patch-alsapulse
  head/www/firefox/files/patch-bug753046
  head/www/firefox/files/patch-config_autoconf.mk.in   (contents, props changed)
  head/www/firefox/files/patch-configure.in
  head/www/firefox/files/patch-xpcom__threads__nsThreadManager.cpp   (contents, props changed)
  head/www/kompozer/Makefile
  head/www/kompozer/files/patch-config_autoconf.mk.in   (contents, props changed)
  head/www/libxul/Makefile
  head/www/libxul/files/patch-xpcom_base_nsStackWalk.cpp
  head/www/linux-firefox/Makefile
  head/www/linux-firefox/distinfo
  head/www/linux-seamonkey/Makefile
  head/www/linux-seamonkey/Makefile.common   (contents, props changed)
  head/www/linux-seamonkey/distinfo
  head/www/linux-seamonkey/pkg-plist
  head/www/seamonkey-i18n/Makefile
  head/www/seamonkey-i18n/distinfo
  head/www/seamonkey/Makefile
  head/www/seamonkey/distinfo
  head/www/seamonkey/files/patch-alsapulse
  head/www/seamonkey/files/patch-bug753046
  head/www/seamonkey/files/patch-ldap-sdks-c-sdk-ldap-libraries-libssldap-Makefile.in   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-configure.in
  head/www/seamonkey/files/patch-mozilla__xpcom__threads__nsThreadManager.cpp   (contents, props changed)

Modified: head/Mk/bsd.gecko.mk
==============================================================================
--- head/Mk/bsd.gecko.mk	Thu Aug 30 14:49:00 2012	(r303377)
+++ head/Mk/bsd.gecko.mk	Thu Aug 30 14:54:17 2012	(r303378)
@@ -182,7 +182,7 @@ Gecko_Pre_Include=			bsd.gecko.mk
 #                         is given by the maintainer via the port or by the
 #                         user via defined variable try to find the highest
 #                         stable installed version.
-#                         Available values: yes 10+ 14+ 10 14+
+#                         Available values: yes 10+ 15+ 10 15+
 #                         NOTE:
 #                         default value 10 is used in case of USE_FIREFOX=yes
 #
@@ -193,9 +193,9 @@ Gecko_Pre_Include=			bsd.gecko.mk
 #                         version is given by the maintainer via the port 
 #                         or by the user via defined variable try to find
 #                         the highest stable installed version.
-#                         Available values: yes 11+ 11
+#                         Available values: yes 12+ 12
 #                         NOTE:
-#                         default value 11 is used in case of USE_SEAMONKEY=yes
+#                         default value 12 is used in case of USE_SEAMONKEY=yes
 #
 # USE_SEAMONKEY_BUILD     Add buildtime dependency on SeaMonkey.
 #                         Available values: see USE_SEAMONKEY
@@ -204,7 +204,7 @@ Gecko_Pre_Include=			bsd.gecko.mk
 #                         version is given by the maintainer via the port 
 #                         or by the user via defined variable try to find 
 #                         the highest stable installed version.
-#                         Available values: yes 10+ 14+ 10 14
+#                         Available values: yes 10+ 15+ 10 15
 #                         NOTE:
 #                         default value 10 is used in case of USE_THUNDERBIRD=yes
 #
@@ -224,11 +224,11 @@ _FIREFOX_BUILD_DEPENDS=		yes
 .endif
 
 _FIREFOX_DEFAULT_VERSION=	10
-_FIREFOX_VERSIONS=			10 14
-_FIREFOX_RANGE_VERSIONS=	10+ 14+
+_FIREFOX_VERSIONS=			10 15
+_FIREFOX_RANGE_VERSIONS=	10+ 15+
 
 # For specifying [10, ..]+
-_FIREFOX_14P=	14 ${_FIREFOX_10P}
+_FIREFOX_15P=	15 ${_FIREFOX_10P}
 _FIREFOX_10P=	10
 
 # Set the default Firefox version and check if USE_FIREFOX=yes was given
@@ -275,7 +275,7 @@ IGNORE=			cannot install: unknown Firefo
 
 # Dependence lines for different Firefox versions
 10_DEPENDS=		${LOCALBASE}/lib/firefox/firefox:${PORTSDIR}/www/firefox-esr
-14_DEPENDS=		${LOCALBASE}/lib/firefox/firefox:${PORTSDIR}/www/firefox
+15_DEPENDS=		${LOCALBASE}/lib/firefox/firefox:${PORTSDIR}/www/firefox
 
 # Add dependencies
 .if defined(USE_FIREFOX)
@@ -297,12 +297,12 @@ USE_SEAMONKEY:=				${USE_SEAMONKEY_BUILD
 _SEAMONKEY_BUILD_DEPENDS=	yes
 .endif
 
-_SEAMONKEY_DEFAULT_VERSION=	11
-_SEAMONKEY_VERSIONS=		11
-_SEAMONKEY_RANGE_VERSIONS=	11+
+_SEAMONKEY_DEFAULT_VERSION=	12
+_SEAMONKEY_VERSIONS=		12
+_SEAMONKEY_RANGE_VERSIONS=	12+
 
-# For specifying [11, ..]+
-_SEAMONKEY_11P=	11
+# For specifying [12, ..]+
+_SEAMONKEY_12P=	12
 
 # Set the default SeaMonkey version and check if USE_SEAMONKEY=yes was given
 .if ${USE_SEAMONKEY} == "yes"
@@ -344,7 +344,7 @@ IGNORE=			cannot install: unknown SeaMon
 .endif
 
 # Dependence lines for different SeaMonkey versions
-11_DEPENDS=		${LOCALBASE}/lib/seamonkey/seamonkey:${PORTSDIR}/www/seamonkey
+12_DEPENDS=		${LOCALBASE}/lib/seamonkey/seamonkey:${PORTSDIR}/www/seamonkey
 
 # Add dependencies
 .if defined(USE_SEAMONKEY)
@@ -367,11 +367,11 @@ _THUNDERBIRD_BUILD_DEPENDS=		yes
 .endif
 
 _THUNDERBIRD_DEFAULT_VERSION=	10
-_THUNDERBIRD_VERSIONS=			10 14
-_THUNDERBIRD_RANGE_VERSIONS=	10+ 14+
+_THUNDERBIRD_VERSIONS=			10 15
+_THUNDERBIRD_RANGE_VERSIONS=	10+ 15+
 
 # For specifying [10, ..]+
-_THUNDERBIRD_14P=	14 ${_THUNDERBIRD_10P}
+_THUNDERBIRD_15P=	15 ${_THUNDERBIRD_10P}
 _THUNDERBIRD_10P=	10
 
 # Set the default Thunderbird version and check if USE_THUNDERBIRD=yes was given
@@ -417,7 +417,7 @@ IGNORE=			cannot install: unknown Thunde
 
 # Dependence lines for different Thunderbird versions
 10_DEPENDS=		${LOCALBASE}/lib/thunderbird/thunderbird:${PORTSDIR}/mail/thunderbird-esr
-14_DEPENDS=		${LOCALBASE}/lib/thunderbird/thunderbird:${PORTSDIR}/mail/thunderbird
+15_DEPENDS=		${LOCALBASE}/lib/thunderbird/thunderbird:${PORTSDIR}/mail/thunderbird
 
 # Add dependencies
 .if defined(USE_THUNDERBIRD)
@@ -526,13 +526,9 @@ MASTER_DIR?=	${.CURDIR}/../../www/seamon
 
 MOZ_PIS_DIR?=		lib/${MOZILLA}/init.d
 
-ESD_LIB?=	libesd.so.2
-FREETYPE_LIB?=	libfreetype.so.9
-
-GENERIC_MOZCONFIG?=	${.CURDIR}/../../www/seamonkey/files/mozconfig-generic.in
 PORT_MOZCONFIG?=	${FILESDIR}/mozconfig.in
 MOZCONFIG?=		${WRKSRC}/.mozconfig
-MOZILLA_PLIST_DIRS?=	bin include lib share/idl
+MOZILLA_PLIST_DIRS?=	bin lib
 PKGINSTALL?=	${WRKDIR}/pkg-install
 PKGDEINSTALL?=	${WRKDIR}/pkg-deinstall
 MASTER_MOZDIR?=	${PORTSDIR}/www/seamonkey
@@ -547,8 +543,12 @@ EXTRACT_AFTER_ARGS?=	| ${TAR} -xf - --ex
 MOZ_PKGCONFIG_FILES?=	${MOZILLA}-gtkmozembed ${MOZILLA}-js \
 			${MOZILLA}-xpcom ${MOZILLA}-plugin
 
-CFLAGS+=		${PTHREAD_CFLAGS}
-LIBS+=			${PTHREAD_LIBS} -L${LOCALBASE}/lib -liconv
+MOZ_EXPORT+=	${CONFIGURE_ENV} \
+				LIBS="${LIBS}" PERL="${PERL}"
+MOZ_OPTIONS+=	--prefix="${FAKEDIR}"
+
+CPPFLAGS+=		-isystem${LOCALBASE}/include
+LDFLAGS+=		-L${LOCALBASE}/lib
 
 # Standard depends
 _ALL_DEPENDS=	cairo dbm event ffi hunspell jpeg nspr nss png sqlite vpx zip
@@ -579,7 +579,8 @@ nspr_MOZ_OPTIONS=	--with-system-nspr
 
 nss_LIB_DEPENDS=	nss3:${PORTSDIR}/security/nss
 nss_MOZ_OPTIONS=	--with-system-nss
-#nss_EXTRACT_AFTER_ARGS=	--exclude mozilla*/security/nss
+nss_EXTRACT_AFTER_ARGS=	--exclude mozilla*/security/coreconf \
+						--exclude mozilla*/security/nss
 nss_CPPFLAGS+=		-I${LOCALBASE}/include/nss -I${LOCALBASE}/include/nss/nss
 nss_LDFLAGS+=		-L${LOCALBASE}/lib/nss -Wl,-rpath,${PREFIX}/lib/${MOZ_RPATH}
 
@@ -622,8 +623,6 @@ MOZ_OPTIONS+=	--disable-tests 	\
 		--with-default-mozilla-five-home=${PREFIX}/lib/${MOZILLA} \
 		--with-pthreads
 # Configure options for install
-MOZ_OPTIONS+=	--x-includes=${LOCALBASE}/include \
-		--x-libraries=${LOCALBASE}/lib
 .if !defined(MOZ_EXTENSIONS)
 MOZ_OPTIONS+=	--enable-extensions=default
 .else
@@ -637,18 +636,14 @@ MOZ_OPTIONS+=	--enable-necko-protocols=$
 # others 
 MOZ_OPTIONS+=	--with-system-zlib		\
 		--with-system-bz2		\
-		--disable-auto-deps		\
 		--disable-debug-symbols		\
 		--disable-glibtest		\
 		--disable-gtktest		\
 		--disable-freetypetest		\
 		--disable-installer		\
-		--disable-md			\
 		--disable-necko-wifi		\
 		--disable-updater		\
 		--disable-pedantic
-MOZ_MK_OPTIONS+=	XP_UNIX=1		\
-			PERL=${PERL}
 
 .if ${CXXFLAGS:M-stdlib=libc++}
 LIBS+=		-lcxxrt
@@ -669,7 +664,7 @@ USE_GNOME+=	gtk20
 .endif
 
 .if ${PORT_OPTIONS:MOPTIMIZED_CFLAGS}
-MOZ_EXPORT+=	MOZ_OPTIMIZE_FLAGS='"${CFLAGS:M-O*}"'
+MOZ_EXPORT+=	MOZ_OPTIMIZE_FLAGS="${CFLAGS:M-O*}"
 MOZ_OPTIONS+=	--enable-optimize
 .else
 MOZ_OPTIONS+=	--disable-optimize
@@ -729,6 +724,9 @@ MOZ_OPTIONS+=	--disable-libproxy
 LIB_DEPENDS+=	asound.2:${PORTSDIR}/audio/alsa-lib
 RUN_DEPENDS+=	${LOCALBASE}/lib/alsa-lib/libasound_module_pcm_oss.so:${PORTSDIR}/audio/alsa-plugins
 MOZ_OPTIONS+=	--enable-alsa
+. if exists(${FILESDIR}/extra-bug780531)
+EXTRA_PATCHES+=	${FILESDIR}/extra-bug780531
+. endif
 .endif
 
 .if ${PORT_OPTIONS:MPULSEAUDIO}
@@ -804,20 +802,17 @@ gecko-post-patch:
 .endif
 	@${RM} -f ${MOZCONFIG}
 .if !defined(NOMOZCONFIG)
-.if exists(${GENERIC_MOZCONFIG})
-	@${MOZCONFIG_SED} < ${GENERIC_MOZCONFIG} >> ${MOZCONFIG}
-.endif
 	@if [ -e ${PORT_MOZCONFIG} ] ; then \
 		${MOZCONFIG_SED} < ${PORT_MOZCONFIG} >> ${MOZCONFIG} ; \
 	fi
 .for arg in ${MOZ_OPTIONS}
-	@${ECHO_CMD} ac_add_options ${arg} >> ${MOZCONFIG}
+	@${ECHO_CMD} ac_add_options ${arg:Q} >> ${MOZCONFIG}
 .endfor
 .for arg in ${MOZ_MK_OPTIONS}
-	@${ECHO_CMD} mk_add_options ${arg} >> ${MOZCONFIG}
+	@${ECHO_CMD} mk_add_options ${arg:Q} >> ${MOZCONFIG}
 .endfor
 .for var in ${MOZ_EXPORT}
-	@${ECHO_CMD} "export ${var}" >> ${MOZCONFIG}
+	@${ECHO_CMD} export ${var:Q} >> ${MOZCONFIG}
 .endfor
 .endif # .if !defined(NOMOZCONFIG)
 .if exists(${MOZSRC}/build/unix/mozilla-config.in)
@@ -828,12 +823,19 @@ gecko-post-patch:
 .endif
 .for subdir in "" nsprpub js/src
 	@if [ -f ${MOZSRC}/${subdir}/config/system-headers ] ; then \
-		${ECHO_CMD} "cairo-qt.h" >> ${MOZSRC}/${subdir}/config/system-headers ; \
-		${ECHO_CMD} "fenv.h" >> ${MOZSRC}/${subdir}/config/system-headers ; \
-		${ECHO_CMD} "malloc_np.h" >> ${MOZSRC}/${subdir}/config/system-headers ; \
-		${ECHO_CMD} "pthread_np.h" >> ${MOZSRC}/${subdir}/config/system-headers ; \
-		${ECHO_CMD} "pulse/pulseaudio.h" >> ${MOZSRC}/${subdir}/config/system-headers ; \
-		${ECHO_CMD} "unwind.h" >> ${MOZSRC}/${subdir}/config/system-headers ; \
+	for f in \
+			cairo-qt.h \
+			fenv.h \
+			kvm.h \
+			malloc_np.h \
+			pthread_np.h \
+			pulse/pulseaudio.h \
+			spawn.h \
+			sys/thr.h \
+			sys/user.h \
+			unwind.h; do \
+		${ECHO_CMD} "$$f" >> ${MOZSRC}/${subdir}/config/system-headers ; \
+	done; \
 	fi
 .endfor
 	@for f in \
@@ -862,17 +864,11 @@ gecko-post-patch:
 	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g ; \
 		s|%%LOCALBASE%%|${LOCALBASE}|g' \
 			${MOZSRC}/build/unix/run-mozilla.sh
-	@if [ -f ${MOZSRC}/widget/src/gtk2/nsSound.cpp ] ; then \
-		${REINPLACE_CMD} -E -e 's|libesd\.so\.[0-9]+|libesd.so|g' \
-			${MOZSRC}/widget/src/gtk2/nsSound.cpp ; \
-	fi
-	@if ! [ -f ${MOZSRC}/widget/gtk2/nsDeviceContextSpecG.cpp ] ; then \
-		${REINPLACE_CMD} -E -e 's|libcups\.so\.[0-9]+|libcups.so|g' \
-			${MOZSRC}/*/*/*/nsDeviceContextSpecG.cpp ; \
-	fi
 	@${REINPLACE_CMD} -e 's|/usr/local/netscape|${LOCALBASE}|g ; \
 		s|/usr/local/lib/netscape|${LOCALBASE}/lib|g' \
 		${MOZSRC}/xpcom/*/SpecialSystemDirectory.cpp
+	@${GREP} -lr 'PR_LoadLibrary.*\.so\.[0-9]' ${WRKSRC} | ${XARGS} \
+		${REINPLACE_CMD} -Ee '/PR_LoadLibrary/s/(\.so)\.[0-9]+/\1/'
 
 # handles mozilla pis scripts.
 gecko-moz-pis-patch:
@@ -950,7 +946,6 @@ gecko-create-plist:
 .endfor
 	${CAT} ${PLISTF} | ${SORT} >> ${PLIST}
 	${CAT} ${PLISTD} | ${SORT} -r >> ${PLIST}
-	${ECHO_CMD} "@dirrmtry share/idl" >> ${PLIST}
 	${ECHO_CMD} "@exec ${LOCALBASE}/bin/update-desktop-database > /dev/null || ${TRUE}" >> ${PLIST}
 	${ECHO_CMD} "@unexec ${LOCALBASE}/bin/update-desktop-database > /dev/null || ${TRUE}" >> ${PLIST}
 .endif # !defined(NOGECKO_PLIST)

Added: head/devel/nspr/files/patch-bug301986
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/nspr/files/patch-bug301986	Thu Aug 30 14:54:17 2012	(r303378)
@@ -0,0 +1,35 @@
+pthread_t can well be a 64-bit value -- on FreeBSD/amd64, for example.
+Better to just keep calling it pthread_t isntead of casting to anything.
+
+	-mi
+
+--- ../pr/include/private/pprthred.h	Sun Apr 25 11:00:56 2004
++++ ../pr/include/private/pprthred.h	Tue Jul 12 00:52:42 2005
+@@ -44,4 +44,5 @@
+ */
+ #include "nspr.h"
++#include <pthread.h>
+ 
+ #if defined(XP_OS2)
+@@ -92,5 +92,5 @@
+ ** when it is created or attached.
+ */
+-NSPR_API(PRUint32) PR_GetThreadID(PRThread *thread);
++NSPR_API(pthread_t) PR_GetThreadID(PRThread *thread);
+ 
+ /*
+--- ../pr/src/pthreads/ptthread.c	Wed May 25 22:27:51 2005
++++ ../pr/src/pthreads/ptthread.c	Tue Jul 12 00:49:50 2005
+@@ -979,10 +979,10 @@
+ }
+ 
+-PR_IMPLEMENT(PRUint32) PR_GetThreadID(PRThread *thred)
++PR_IMPLEMENT(pthread_t) PR_GetThreadID(PRThread *thred)
+ {
+ #if defined(_PR_DCETHREADS)
+     return (PRUint32)&thred->id;  /* this is really a sham! */
+ #else
+-    return (PRUint32)thred->id;  /* and I don't know what they will do with it */
++    return thred->id;  /* and I don't know what they will do with it */
+ #endif
+ }

Added: head/devel/nspr/files/patch-bug782109
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/nspr/files/patch-bug782109	Thu Aug 30 14:54:17 2012	(r303378)
@@ -0,0 +1,31 @@
+--- ../pr/include/md/_freebsd.h~
++++ ../pr/include/md/_freebsd.h
+@@ -47,6 +47,14 @@
+ #define _PR_HAVE_LARGE_OFF_T
+ 
+ #if defined(_PR_PTHREADS)
++#if __FreeBSD_version >= 602000
++#define _PR_HAVE_GETPROTO_R
++#define _PR_HAVE_5_ARG_GETPROTO_R
++#endif
++#if __FreeBSD_version >= 700016
++#define _PR_HAVE_GETHOST_R
++#define _PR_HAVE_GETHOST_R_INT
++#endif
+ #if __FreeBSD_version >= 400008
+ /*
+  * libc_r before this version of FreeBSD doesn't have poll().
+--- ../pr/src/misc/prnetdb.c
++++ ../pr/src/misc/prnetdb.c
+@@ -78,11 +78,6 @@ PRLock *_pr_dnsLock = NULL;
+ #define _PR_HAVE_GETPROTO_R_INT
+ #endif
+ 
+-#if __FreeBSD_version >= 602000
+-#define _PR_HAVE_GETPROTO_R
+-#define _PR_HAVE_5_ARG_GETPROTO_R
+-#endif
+-
+ /* BeOS has glibc but not the glibc-style getprotobyxxx_r functions. */
+ #if (defined(__GLIBC__) && __GLIBC__ >= 2 && !defined(XP_BEOS))
+ #define _PR_HAVE_GETPROTO_R

Added: head/devel/nspr/files/patch-bug782111
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/nspr/files/patch-bug782111	Thu Aug 30 14:54:17 2012	(r303378)
@@ -0,0 +1,35 @@
+--- ../pr/src/pthreads/ptthread.c
++++ ../pr/src/pthreads/ptthread.c
+@@ -21,6 +21,10 @@
+ #include <signal.h>
+ #include <dlfcn.h>
+ 
++#if defined(OPENBSD) || defined(FREEBSD) || defined(DRAGONFLY)
++#include <pthread_np.h>
++#endif
++
+ #ifdef SYMBIAN
+ /* In Open C sched_get_priority_min/max do not work properly, so we undefine
+  * _POSIX_THREAD_PRIORITY_SCHEDULING here.
+@@ -1619,7 +1623,7 @@ PR_IMPLEMENT(PRStatus) PR_SetCurrentThreadName(const char *name)
+ {
+     PRThread *thread;
+     size_t nameLen;
+-    int result;
++    int result = 0;
+ 
+     if (!name) {
+         PR_SetError(PR_INVALID_ARGUMENT_ERROR, 0);
+@@ -1637,8 +1641,10 @@ PR_IMPLEMENT(PRStatus) PR_SetCurrentThreadName(const char *name)
+         return PR_FAILURE;
+     memcpy(thread->name, name, nameLen + 1);
+ 
+-#if defined(OPENBSD) || defined(FREEBSD)
+-    result = pthread_set_name_np(thread->id, name);
++#if defined(OPENBSD) || defined(FREEBSD) || defined(DRAGONFLY)
++    pthread_set_name_np(thread->id, name);
++#elif defined(NETBSD)
++    pthread_setname_np(thread->id, "%s", name);
+ #else /* not BSD */
+     /*
+      * On OSX, pthread_setname_np is only available in 10.6 or later, so test

Added: head/devel/nspr/files/patch-bug782113
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/nspr/files/patch-bug782113	Thu Aug 30 14:54:17 2012	(r303378)
@@ -0,0 +1,113 @@
+--- ../pr/include/md/_freebsd.cfg
++++ ../pr/include/md/_freebsd.cfg
+@@ -251,6 +251,97 @@
+ #define PR_ALIGN_OF_POINTER 8
+ #define PR_ALIGN_OF_WORD    8
+ 
++#elif defined(__powerpc64__)
++
++#undef  IS_LITTLE_ENDIAN
++#define IS_BIG_ENDIAN    1
++#define IS_64
++
++#define PR_BYTES_PER_BYTE   1
++#define PR_BYTES_PER_SHORT  2
++#define PR_BYTES_PER_INT    4
++#define PR_BYTES_PER_INT64  8
++#define PR_BYTES_PER_LONG   8
++#define PR_BYTES_PER_FLOAT  4
++#define PR_BYTES_PER_DOUBLE 8
++#define PR_BYTES_PER_WORD   8
++#define PR_BYTES_PER_DWORD  8
++
++#define PR_BITS_PER_BYTE    8
++#define PR_BITS_PER_SHORT   16
++#define PR_BITS_PER_INT     32
++#define PR_BITS_PER_INT64   64
++#define PR_BITS_PER_LONG    64
++#define PR_BITS_PER_FLOAT   32
++#define PR_BITS_PER_DOUBLE  64
++#define PR_BITS_PER_WORD    64
++
++#define PR_BITS_PER_BYTE_LOG2   3
++#define PR_BITS_PER_SHORT_LOG2  4
++#define PR_BITS_PER_INT_LOG2    5
++#define PR_BITS_PER_INT64_LOG2  6
++#define PR_BITS_PER_LONG_LOG2   6
++#define PR_BITS_PER_FLOAT_LOG2  5
++#define PR_BITS_PER_DOUBLE_LOG2 6
++#define PR_BITS_PER_WORD_LOG2   6
++
++#define PR_ALIGN_OF_SHORT   2
++#define PR_ALIGN_OF_INT     4
++#define PR_ALIGN_OF_LONG    8
++#define PR_ALIGN_OF_INT64   8
++#define PR_ALIGN_OF_FLOAT   4
++#define PR_ALIGN_OF_DOUBLE  8
++#define PR_ALIGN_OF_POINTER 8
++#define PR_ALIGN_OF_WORD    8
++
++#define PR_BYTES_PER_WORD_LOG2   3
++#define PR_BYTES_PER_DWORD_LOG2  3
++
++#elif defined(__powerpc__)
++
++#undef  IS_LITTLE_ENDIAN
++#define IS_BIG_ENDIAN    1
++
++#define PR_BYTES_PER_BYTE   1
++#define PR_BYTES_PER_SHORT  2
++#define PR_BYTES_PER_INT    4
++#define PR_BYTES_PER_INT64  8
++#define PR_BYTES_PER_LONG   4
++#define PR_BYTES_PER_FLOAT  4
++#define PR_BYTES_PER_DOUBLE 8
++#define PR_BYTES_PER_WORD   4
++#define PR_BYTES_PER_DWORD  8
++
++#define PR_BITS_PER_BYTE    8
++#define PR_BITS_PER_SHORT   16
++#define PR_BITS_PER_INT     32
++#define PR_BITS_PER_INT64   64
++#define PR_BITS_PER_LONG    32
++#define PR_BITS_PER_FLOAT   32
++#define PR_BITS_PER_DOUBLE  64
++#define PR_BITS_PER_WORD    32
++
++#define PR_BITS_PER_BYTE_LOG2   3
++#define PR_BITS_PER_SHORT_LOG2  4
++#define PR_BITS_PER_INT_LOG2    5
++#define PR_BITS_PER_INT64_LOG2  6
++#define PR_BITS_PER_LONG_LOG2   5
++#define PR_BITS_PER_FLOAT_LOG2  5
++#define PR_BITS_PER_DOUBLE_LOG2 6
++#define PR_BITS_PER_WORD_LOG2   5
++
++#define PR_ALIGN_OF_SHORT   2
++#define PR_ALIGN_OF_INT     4
++#define PR_ALIGN_OF_LONG    4
++#define PR_ALIGN_OF_INT64   8
++#define PR_ALIGN_OF_FLOAT   4
++#define PR_ALIGN_OF_DOUBLE  8
++#define PR_ALIGN_OF_POINTER 4
++#define PR_ALIGN_OF_WORD    4
++
++#define PR_BYTES_PER_WORD_LOG2   2
++#define PR_BYTES_PER_DWORD_LOG2  3
++
+ #else
+ 
+ #error "Unknown CPU architecture"
+--- ../pr/include/md/_freebsd.h
++++ ../pr/include/md/_freebsd.h
+@@ -25,6 +25,10 @@
+ #define _PR_SI_ARCHITECTURE "ia64"
+ #elif defined(__amd64__)
+ #define _PR_SI_ARCHITECTURE "amd64"
++#elif defined(__powerpc64__)
++#define _PR_SI_ARCHITECTURE "powerpc64"
++#elif defined(__powerpc__)
++#define _PR_SI_ARCHITECTURE "powerpc"
+ #else
+ #error "Unknown CPU architecture"
+ #endif

Added: head/devel/nspr/files/patch-bug782124
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/nspr/files/patch-bug782124	Thu Aug 30 14:54:17 2012	(r303378)
@@ -0,0 +1,37 @@
+--- ../pr/src/misc/prsystem.c~
++++ ../pr/src/misc/prsystem.c
+@@ -24,7 +24,7 @@
+ 
+ /* BSD-derived systems use sysctl() to get the number of processors */
+ #if defined(BSDI) || defined(FREEBSD) || defined(NETBSD) \
+-    || defined(OPENBSD) || defined(DARWIN)
++    || defined(OPENBSD) || defined(DRAGONFLY) || defined(DARWIN)
+ #define _PR_HAVE_SYSCTL
+ #include <sys/param.h>
+ #include <sys/sysctl.h>
+@@ -292,15 +292,23 @@ PR_IMPLEMENT(PRUint64) PR_GetPhysicalMemorySize(void)
+     if (pageSize >= 0 && pageCount >= 0)
+         bytes = (PRUint64) pageSize * pageCount;
+ 
+-#elif defined(NETBSD) || defined(OPENBSD)
+-
++#elif defined(NETBSD) || defined(OPENBSD) \
++    || defined(FREEBSD) || defined(DRAGONFLY)
+     int mib[2];
+     int rc;
++#ifdef HW_PHYSMEM64
+     uint64_t memSize;
++#else
++    unsigned long memSize;
++#endif
+     size_t len = sizeof(memSize);
+ 
+     mib[0] = CTL_HW;
++#ifdef HW_PHYSMEM64
+     mib[1] = HW_PHYSMEM64;
++#else
++    mib[1] = HW_PHYSMEM;
++#endif
+     rc = sysctl(mib, 2, &memSize, &len, NULL, 0);
+     if (-1 != rc)  {
+         bytes = memSize;

Added: head/devel/nspr/files/patch-bug782815
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/nspr/files/patch-bug782815	Thu Aug 30 14:54:17 2012	(r303378)
@@ -0,0 +1,11 @@
+--- ../pr/src/pthreads/ptio.c~
++++ ../pr/src/pthreads/ptio.c
+@@ -1150,7 +1150,7 @@ void _PR_InitIO(void)
+         osfd = socket(AF_INET6, SOCK_STREAM, 0);
+         if (osfd != -1) {
+             int on;
+-            int optlen = sizeof(on);
++            socklen_t optlen = sizeof(on);
+             if (getsockopt(osfd, IPPROTO_IPV6, IPV6_V6ONLY,
+                     &on, &optlen) == 0) {
+                 _pr_ipv6_v6only_on_by_default = on;

Modified: head/devel/nspr/files/patch-warnings
==============================================================================
--- head/devel/nspr/files/patch-warnings	Thu Aug 30 14:49:00 2012	(r303377)
+++ head/devel/nspr/files/patch-warnings	Thu Aug 30 14:54:17 2012	(r303378)
@@ -1,3 +1,22 @@
+--- ../pr/src/pthreads/ptio.c	2009-05-09 23:07:02.000000000 -0400
++++ ../pr/src/pthreads/ptio.c	2009-11-04 15:24:47.000000000 -0500
+@@ -3758,7 +3769,7 @@
+      * We use these variables to figure out how much time has
+      * elapsed and how much of the timeout still remains.
+      */
+-    PRIntervalTime start, elapsed, remaining;
++    PRIntervalTime start = 0, elapsed, remaining;
+ 
+     if (pt_TestAbort()) return -1;
+ 
+@@ -4927,6 +4938,7 @@
+ 
+     if (timeout == PR_INTERVAL_NO_TIMEOUT) {
+         tvp = NULL;
++        start = 0; /* Not needed, but shuts down a warning */
+     } else {
+         tv.tv_sec = (PRInt32)PR_IntervalToSeconds(timeout);
+         tv.tv_usec = (PRInt32)PR_IntervalToMicroseconds(
 --- ../pr/src/pthreads/ptsynch.c	Mon Nov 22 16:24:53 2004
 +++ ../pr/src/pthreads/ptsynch.c	Mon Jul 25 00:03:49 2005
 @@ -63,5 +63,5 @@

Modified: head/mail/enigmail/Makefile
==============================================================================
--- head/mail/enigmail/Makefile	Thu Aug 30 14:49:00 2012	(r303377)
+++ head/mail/enigmail/Makefile	Thu Aug 30 14:54:17 2012	(r303378)
@@ -40,11 +40,7 @@ GECKO_DEPENDS=	${NONEXISTENT}:${PORTSDIR
 
 GECKO_WRKSRC=	${WRKDIR}/../../../${GECKO_PORTDIR}/work/${GECKO_EXTDIR}
 WRKSRC=		${WRKDIR}/${GECKO_EXTDIR}
-.if ${GECKO_PORTDIR:N*-esr}
-MOZOBJ=		${WRKSRC}/obj-${CONFIGURE_TARGET:S/amd64/x86_64/}
-.else
 MOZOBJ=		${WRKSRC}
-.endif
 
 USE_GMAKE=	yes
 

Modified: head/mail/linux-thunderbird/Makefile
==============================================================================
--- head/mail/linux-thunderbird/Makefile	Thu Aug 30 14:49:00 2012	(r303377)
+++ head/mail/linux-thunderbird/Makefile	Thu Aug 30 14:54:17 2012	(r303378)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	thunderbird
-PORTVERSION=	10.0.6
+PORTVERSION=	10.0.7
 CATEGORIES=	mail
 MASTER_SITE_SUBDIR?=	${PORTNAME}/releases/${PORTVERSION}esr/linux-i686/en-US
 DISTNAME=	${PORTNAME}-${DISTVERSION}esr

Modified: head/mail/linux-thunderbird/distinfo
==============================================================================
--- head/mail/linux-thunderbird/distinfo	Thu Aug 30 14:49:00 2012	(r303377)
+++ head/mail/linux-thunderbird/distinfo	Thu Aug 30 14:54:17 2012	(r303378)
@@ -1,2 +1,2 @@
-SHA256 (thunderbird-10.0.6esr.tar.bz2) = 7051b910825a2838ac9a1bcb23c520d82be5fed4871266f1cd8954a8e876776b
-SIZE (thunderbird-10.0.6esr.tar.bz2) = 18574190
+SHA256 (thunderbird-10.0.7esr.tar.bz2) = 2b1fd99bcaa6b4288f86eba7bdf80fe467cde0cf2899a7ec106ba1e4fee0625c
+SIZE (thunderbird-10.0.7esr.tar.bz2) = 18582085

Modified: head/mail/thunderbird-esr-i18n/Makefile
==============================================================================
--- head/mail/thunderbird-esr-i18n/Makefile	Thu Aug 30 14:49:00 2012	(r303377)
+++ head/mail/thunderbird-esr-i18n/Makefile	Thu Aug 30 14:54:17 2012	(r303378)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	thunderbird-i18n
-PORTVERSION=	10.0.6
+PORTVERSION=	10.0.7
 CATEGORIES=	mail
 MASTER_SITE_SUBDIR=	thunderbird/releases/${PORTVERSION}esr/linux-i686/xpi
 PKGNAMEPREFIX=

Modified: head/mail/thunderbird-esr-i18n/distinfo
==============================================================================
--- head/mail/thunderbird-esr-i18n/distinfo	Thu Aug 30 14:49:00 2012	(r303377)
+++ head/mail/thunderbird-esr-i18n/distinfo	Thu Aug 30 14:54:17 2012	(r303378)
@@ -1,84 +1,84 @@
-SHA256 (xpi/thunderbird-i18n-10.0.6/ar.xpi) = 0223cc4a79d98945a20cd5b686a90d996b90211c5b6d704fd2b0e1493f9adb32
-SIZE (xpi/thunderbird-i18n-10.0.6/ar.xpi) = 441466
-SHA256 (xpi/thunderbird-i18n-10.0.6/br.xpi) = b796d258b77b4d8374956456e98977e7d29e759e1e598e4d800fb5ba84cca28b
-SIZE (xpi/thunderbird-i18n-10.0.6/br.xpi) = 415527
-SHA256 (xpi/thunderbird-i18n-10.0.6/ca.xpi) = 1c050afcb257d664c0c4aaf5488e9d27081d0987757e5c0e6238abef64cd68fc
-SIZE (xpi/thunderbird-i18n-10.0.6/ca.xpi) = 416069
-SHA256 (xpi/thunderbird-i18n-10.0.6/cs.xpi) = 3c27c5b2b08c108cf2411dd00294950b56249b145ed356b422c7b240d3b16412
-SIZE (xpi/thunderbird-i18n-10.0.6/cs.xpi) = 419419
-SHA256 (xpi/thunderbird-i18n-10.0.6/da.xpi) = 505540bde73c21243ba088b04a08e8a6bf2578a1b1b44daae080b8806f191377
-SIZE (xpi/thunderbird-i18n-10.0.6/da.xpi) = 363376
-SHA256 (xpi/thunderbird-i18n-10.0.6/de.xpi) = 174841c6b26c1a35b97eb234df220223f6391be0155e05ae547acd3509eb63e6
-SIZE (xpi/thunderbird-i18n-10.0.6/de.xpi) = 418266
-SHA256 (xpi/thunderbird-i18n-10.0.6/en-GB.xpi) = 5ace1c398328d5c2e00c046edab1543faf5fcda1f13647ee50778d72c6107596
-SIZE (xpi/thunderbird-i18n-10.0.6/en-GB.xpi) = 391743
-SHA256 (xpi/thunderbird-i18n-10.0.6/en-US.xpi) = 71ab52853aaa8f55c22392937c3b3bb700d2ea2443cf4b1275269f7fa5811a70
-SIZE (xpi/thunderbird-i18n-10.0.6/en-US.xpi) = 391242
-SHA256 (xpi/thunderbird-i18n-10.0.6/es-AR.xpi) = 53d467243b613ce076add339959175d98b688e70cf22191116f97309f1fbf2ae
-SIZE (xpi/thunderbird-i18n-10.0.6/es-AR.xpi) = 410726
-SHA256 (xpi/thunderbird-i18n-10.0.6/es-ES.xpi) = 27ea8ee4d12811805612009c0d0be3246d5af8f2b509d27cc1aef47527d51565
-SIZE (xpi/thunderbird-i18n-10.0.6/es-ES.xpi) = 355143
-SHA256 (xpi/thunderbird-i18n-10.0.6/et.xpi) = 82bc9cd8e9a2a4eb4dadff80706a31fdb762fc7baee3c0310da68c22de71b175
-SIZE (xpi/thunderbird-i18n-10.0.6/et.xpi) = 410724
-SHA256 (xpi/thunderbird-i18n-10.0.6/eu.xpi) = 46c4a9ef3ae80053157393fe767afaf1dc130268fe4a650ca41d72e0ce790487
-SIZE (xpi/thunderbird-i18n-10.0.6/eu.xpi) = 406387
-SHA256 (xpi/thunderbird-i18n-10.0.6/fi.xpi) = c2bea42568a928a293844a5ed172ac7dc289f56988bf8a29a047b0e2efa2074e
-SIZE (xpi/thunderbird-i18n-10.0.6/fi.xpi) = 411928
-SHA256 (xpi/thunderbird-i18n-10.0.6/fr.xpi) = 909ccf3f85e488a686766e3a1c54868fb8c91a305ffd42031a1a747c7ecb7f9e
-SIZE (xpi/thunderbird-i18n-10.0.6/fr.xpi) = 414749
-SHA256 (xpi/thunderbird-i18n-10.0.6/fy-NL.xpi) = 000d97b67290869298ce4550b8c5dacf81d36eddaefb116a504dddd8bafd0a9a
-SIZE (xpi/thunderbird-i18n-10.0.6/fy-NL.xpi) = 413985
-SHA256 (xpi/thunderbird-i18n-10.0.6/ga-IE.xpi) = 17aa3b5092df7411f6a2039f245ce255a128938dee34e6977224cdfa1d6ec765
-SIZE (xpi/thunderbird-i18n-10.0.6/ga-IE.xpi) = 423261
-SHA256 (xpi/thunderbird-i18n-10.0.6/gd.xpi) = 2bb47d383359cd860155b1e71efa085a8d8b2a5a0b2ab41559468c48229b94af
-SIZE (xpi/thunderbird-i18n-10.0.6/gd.xpi) = 425876
-SHA256 (xpi/thunderbird-i18n-10.0.6/gl.xpi) = c6aad0c59e6e8917c00373d6dd9b12ae8a5dae51fbd63d84937aee632af3410a
-SIZE (xpi/thunderbird-i18n-10.0.6/gl.xpi) = 409229
-SHA256 (xpi/thunderbird-i18n-10.0.6/he.xpi) = f9b681d750defe2bd03c5f3129ee7d855b3e84733d680b94f433b6acce172f08
-SIZE (xpi/thunderbird-i18n-10.0.6/he.xpi) = 439206
-SHA256 (xpi/thunderbird-i18n-10.0.6/hu.xpi) = c88c902234b5878bae444c4133d17d58464ff401cccd7196d86279f26ba9c0b2
-SIZE (xpi/thunderbird-i18n-10.0.6/hu.xpi) = 426356
-SHA256 (xpi/thunderbird-i18n-10.0.6/is.xpi) = 351ff4311732a4b8127ed2642841bf3b92b5bcb1336666fa460352ec9afb09db
-SIZE (xpi/thunderbird-i18n-10.0.6/is.xpi) = 412634
-SHA256 (xpi/thunderbird-i18n-10.0.6/it.xpi) = f2a225ad1b5d7e5292b5589cf03e880477d572a597c849c62a57584237f30335
-SIZE (xpi/thunderbird-i18n-10.0.6/it.xpi) = 347634
-SHA256 (xpi/thunderbird-i18n-10.0.6/ja.xpi) = a8e350421416229b93e7e825e072adb34d50dde91c81864be7463ce8470d8d67
-SIZE (xpi/thunderbird-i18n-10.0.6/ja.xpi) = 459031
-SHA256 (xpi/thunderbird-i18n-10.0.6/ko.xpi) = c13e33783f8d1bea548be5095716e84c36df00c610707612d80ca01a9ec5c814
-SIZE (xpi/thunderbird-i18n-10.0.6/ko.xpi) = 372016
-SHA256 (xpi/thunderbird-i18n-10.0.6/lt.xpi) = a00be860b6c1a7844a08ca0c0b4803e076817788c3049caa4c4343bdd394f6a4
-SIZE (xpi/thunderbird-i18n-10.0.6/lt.xpi) = 531022
-SHA256 (xpi/thunderbird-i18n-10.0.6/nb-NO.xpi) = 1a309be14b4b04722c91c10dbe490de9c64e8f185abde0489662b659f1fcd8d7
-SIZE (xpi/thunderbird-i18n-10.0.6/nb-NO.xpi) = 407729
-SHA256 (xpi/thunderbird-i18n-10.0.6/nl.xpi) = 472b2e8b6271e7be5beccd644563f043b89b38db3ff26778912fc2af476cf765
-SIZE (xpi/thunderbird-i18n-10.0.6/nl.xpi) = 407985
-SHA256 (xpi/thunderbird-i18n-10.0.6/nn-NO.xpi) = bc575d2c7c48c760aa5703326cc6a4b2bd387a7d364b9b77d5f32444315c015f
-SIZE (xpi/thunderbird-i18n-10.0.6/nn-NO.xpi) = 409459
-SHA256 (xpi/thunderbird-i18n-10.0.6/pl.xpi) = 606585843ba8407f407d130a4522b42a5b60b7b64c4dc0a60078f16fac862bdf
-SIZE (xpi/thunderbird-i18n-10.0.6/pl.xpi) = 393578
-SHA256 (xpi/thunderbird-i18n-10.0.6/pt-BR.xpi) = 0833f32f278ce2d1f74c884007d4731b21eab0075bbf27f0307d7ea238bcbfb4
-SIZE (xpi/thunderbird-i18n-10.0.6/pt-BR.xpi) = 417229
-SHA256 (xpi/thunderbird-i18n-10.0.6/pt-PT.xpi) = 25e1dca1ff07a60938867905147cea68bd724e5f40e5950e1fc7e3e5e8f2dc82
-SIZE (xpi/thunderbird-i18n-10.0.6/pt-PT.xpi) = 414266
-SHA256 (xpi/thunderbird-i18n-10.0.6/rm.xpi) = a5b541a4d3048c5396ffc35336354b71f2cef500a60ed2f9c65b0dab125dc49a
-SIZE (xpi/thunderbird-i18n-10.0.6/rm.xpi) = 414709
-SHA256 (xpi/thunderbird-i18n-10.0.6/ru.xpi) = 38012fb38ea4fefcb1ebd7e7a57151ae7e8fbfa20fa463c34bf3ee7e4c2cad83
-SIZE (xpi/thunderbird-i18n-10.0.6/ru.xpi) = 411634
-SHA256 (xpi/thunderbird-i18n-10.0.6/si.xpi) = 4602f33aed0ce5af558482a2a4098edf4f24a6b2726ae6ebc0fbee77dfaf6931
-SIZE (xpi/thunderbird-i18n-10.0.6/si.xpi) = 456607
-SHA256 (xpi/thunderbird-i18n-10.0.6/sk.xpi) = e6c7104d138922fee7941929361331246ac2e9df655b8e7025d7dc066ef1c880
-SIZE (xpi/thunderbird-i18n-10.0.6/sk.xpi) = 425029
-SHA256 (xpi/thunderbird-i18n-10.0.6/sl.xpi) = 2ce183f0cb08f241c8aa12c07932e69ac418af66a43a4886890cb1f649f81f57
-SIZE (xpi/thunderbird-i18n-10.0.6/sl.xpi) = 410432
-SHA256 (xpi/thunderbird-i18n-10.0.6/sq.xpi) = 84361c6f6c9d9516fc405b24eb23cef2ef3ff03f633fdd87da1fe0d6dde499a8
-SIZE (xpi/thunderbird-i18n-10.0.6/sq.xpi) = 360480
-SHA256 (xpi/thunderbird-i18n-10.0.6/sv-SE.xpi) = 07d22a2988abb9618004e9ef19255389db08e86758f520000de5fa9f82b204f3
-SIZE (xpi/thunderbird-i18n-10.0.6/sv-SE.xpi) = 478281
-SHA256 (xpi/thunderbird-i18n-10.0.6/ta-LK.xpi) = a8214f2fd01af7fd8aa13462bee23dbaef8e08a4990aaf7b00df17f303514d04
-SIZE (xpi/thunderbird-i18n-10.0.6/ta-LK.xpi) = 475718
-SHA256 (xpi/thunderbird-i18n-10.0.6/tr.xpi) = 6911cc3ab94d64c62dd63481435ed675bc39bab109b3b1aa8ce1bc7a309e830e
-SIZE (xpi/thunderbird-i18n-10.0.6/tr.xpi) = 418210
-SHA256 (xpi/thunderbird-i18n-10.0.6/uk.xpi) = 81774654be422fb766f54f18e1856ddcdd5a46c78ff95ff0c16d7e33f29f7589
-SIZE (xpi/thunderbird-i18n-10.0.6/uk.xpi) = 463925
-SHA256 (xpi/thunderbird-i18n-10.0.6/zh-TW.xpi) = 16f1f0e110da8f2c3cb27a202e60ff38b66de97973fee92e7b0192e57f972ea8
-SIZE (xpi/thunderbird-i18n-10.0.6/zh-TW.xpi) = 431827
+SHA256 (xpi/thunderbird-i18n-10.0.7/ar.xpi) = fe218825ba239511ebf490896fcd85416bf93867d12077afa2061087d9718e85
+SIZE (xpi/thunderbird-i18n-10.0.7/ar.xpi) = 441466
+SHA256 (xpi/thunderbird-i18n-10.0.7/br.xpi) = f560a951a8c6eb7ca89126cbb09a78f075379fc1af7ed8ff2f6bbe882030fc0d
+SIZE (xpi/thunderbird-i18n-10.0.7/br.xpi) = 415527
+SHA256 (xpi/thunderbird-i18n-10.0.7/ca.xpi) = a8b00ba4f84055b54e03ae82a35836e6cd9c7d07a16b1940286b026aeb3e6be1
+SIZE (xpi/thunderbird-i18n-10.0.7/ca.xpi) = 416069
+SHA256 (xpi/thunderbird-i18n-10.0.7/cs.xpi) = 7cced93d103ae1775b064dc0c256494c3cda1971b4e4391f7f6f596c01df6171
+SIZE (xpi/thunderbird-i18n-10.0.7/cs.xpi) = 419419
+SHA256 (xpi/thunderbird-i18n-10.0.7/da.xpi) = ae3a98db9393ff020c6795b0fe3418258119299485569bd9d18210e8690b9781
+SIZE (xpi/thunderbird-i18n-10.0.7/da.xpi) = 363376
+SHA256 (xpi/thunderbird-i18n-10.0.7/de.xpi) = 8d94b8000182a52e93a3fcc04f4830f858bfbe95f1e08074f2b576b69468e61c
+SIZE (xpi/thunderbird-i18n-10.0.7/de.xpi) = 418266
+SHA256 (xpi/thunderbird-i18n-10.0.7/en-GB.xpi) = 00a9e65eb3a1ca5194dbee9acf1fff84fc9ee3b1050dacbc42db04bf25532917
+SIZE (xpi/thunderbird-i18n-10.0.7/en-GB.xpi) = 391743
+SHA256 (xpi/thunderbird-i18n-10.0.7/en-US.xpi) = 410e503c93bc65fd26423f2afc440e42fbbaf2fb30d71a9ddb0bf992a464451d
+SIZE (xpi/thunderbird-i18n-10.0.7/en-US.xpi) = 391242
+SHA256 (xpi/thunderbird-i18n-10.0.7/es-AR.xpi) = ca5002269cb602cac293da5e18c0c6d3273146afbd7a496deec2edccf8e87f16
+SIZE (xpi/thunderbird-i18n-10.0.7/es-AR.xpi) = 410726
+SHA256 (xpi/thunderbird-i18n-10.0.7/es-ES.xpi) = f3948a633ab98dc3ce233b5cd97eb84a2a40475336e8b4d31a9dd892832c2dda
+SIZE (xpi/thunderbird-i18n-10.0.7/es-ES.xpi) = 355143
+SHA256 (xpi/thunderbird-i18n-10.0.7/et.xpi) = 6ce8c3a922a3ce944d4a125938081d032ce61776680e3d6f205a62f5f9441550
+SIZE (xpi/thunderbird-i18n-10.0.7/et.xpi) = 410724
+SHA256 (xpi/thunderbird-i18n-10.0.7/eu.xpi) = 4258ef8ceef02bcfd6e95f59198b67572e97023ac2558790d18acde5c5f7e2d1
+SIZE (xpi/thunderbird-i18n-10.0.7/eu.xpi) = 406387
+SHA256 (xpi/thunderbird-i18n-10.0.7/fi.xpi) = 2d2212368adac818ca5e2569f0d8c8a83f47ac8285584e7525de4add85fe3bd4
+SIZE (xpi/thunderbird-i18n-10.0.7/fi.xpi) = 411928
+SHA256 (xpi/thunderbird-i18n-10.0.7/fr.xpi) = 664b23ff9eeda1f9c7c073574e31bb33e8cb7ac3beeb888251f007fe87e97163
+SIZE (xpi/thunderbird-i18n-10.0.7/fr.xpi) = 414749
+SHA256 (xpi/thunderbird-i18n-10.0.7/fy-NL.xpi) = 62ae77f3a07becc2fb5444d0a39ff383c06690891b5560e24e9ba5b355bf42d6
+SIZE (xpi/thunderbird-i18n-10.0.7/fy-NL.xpi) = 413985
+SHA256 (xpi/thunderbird-i18n-10.0.7/ga-IE.xpi) = 1e1dc0f5d5603f70c08d0a42bf46f111e6881933f3622471f8311f635eac611c
+SIZE (xpi/thunderbird-i18n-10.0.7/ga-IE.xpi) = 423261
+SHA256 (xpi/thunderbird-i18n-10.0.7/gd.xpi) = 85d57a2f5928b46a55b8fb94bddd0af18332a5c0c181f53f82db1bdb8fc8ca20
+SIZE (xpi/thunderbird-i18n-10.0.7/gd.xpi) = 425876
+SHA256 (xpi/thunderbird-i18n-10.0.7/gl.xpi) = 444afe24e82c6957e32d720fe786d2514a083af60401992631fb0cb5887704be
+SIZE (xpi/thunderbird-i18n-10.0.7/gl.xpi) = 409229
+SHA256 (xpi/thunderbird-i18n-10.0.7/he.xpi) = 963b51119331019d01f6d3866a0919c900e6c478ba83a68d0b5c030706d38e32
+SIZE (xpi/thunderbird-i18n-10.0.7/he.xpi) = 439206
+SHA256 (xpi/thunderbird-i18n-10.0.7/hu.xpi) = 126ad900c30a335654f769bf59bcb56bfbefff21d865c0bf76bd0b3469036439
+SIZE (xpi/thunderbird-i18n-10.0.7/hu.xpi) = 426356
+SHA256 (xpi/thunderbird-i18n-10.0.7/is.xpi) = f3feeb6a0547f9ad1a9a80a155cdbcdd9c99fb7ada5f87e58e8611533058b031
+SIZE (xpi/thunderbird-i18n-10.0.7/is.xpi) = 412634
+SHA256 (xpi/thunderbird-i18n-10.0.7/it.xpi) = 7c02ef5f947e6fcaf75dd7aa08471bfc74700402d50cec5caaef51bdf72b4222
+SIZE (xpi/thunderbird-i18n-10.0.7/it.xpi) = 347634
+SHA256 (xpi/thunderbird-i18n-10.0.7/ja.xpi) = 90ca263411c5fe34a4ca09a32a26e4fcc59c697d5421f52a9bba1a491b5c72db
+SIZE (xpi/thunderbird-i18n-10.0.7/ja.xpi) = 459031
+SHA256 (xpi/thunderbird-i18n-10.0.7/ko.xpi) = 4125d21e5490689a58cfa28d31bd82d3b26b08cbbcc57b70fc1944def3bc29bd
+SIZE (xpi/thunderbird-i18n-10.0.7/ko.xpi) = 372016
+SHA256 (xpi/thunderbird-i18n-10.0.7/lt.xpi) = a69679f4fde548307cbc0da41cfe0d76f24d52cdc482fbb9fb35419886c2f135
+SIZE (xpi/thunderbird-i18n-10.0.7/lt.xpi) = 531022
+SHA256 (xpi/thunderbird-i18n-10.0.7/nb-NO.xpi) = d827073f2a1ef8d8789a02e99827dbfda5ed52aa8d10d1acfd3743ebc048d1a8
+SIZE (xpi/thunderbird-i18n-10.0.7/nb-NO.xpi) = 407729
+SHA256 (xpi/thunderbird-i18n-10.0.7/nl.xpi) = 063a650298c7eb33bf1e2317cd1d7cd88c5fa6070393de190eda4826108d0389
+SIZE (xpi/thunderbird-i18n-10.0.7/nl.xpi) = 407985
+SHA256 (xpi/thunderbird-i18n-10.0.7/nn-NO.xpi) = ece5f50981dd386346db2d0f2d75817d09389ae5c18ba43be1b075c823c06276
+SIZE (xpi/thunderbird-i18n-10.0.7/nn-NO.xpi) = 409459
+SHA256 (xpi/thunderbird-i18n-10.0.7/pl.xpi) = a45a9ebcea735a49960c3135a6b96a93f2e0186143c8b69df8b608cbfea52576
+SIZE (xpi/thunderbird-i18n-10.0.7/pl.xpi) = 393578
+SHA256 (xpi/thunderbird-i18n-10.0.7/pt-BR.xpi) = 8f616f2f40011ce1452282bde4527852ffc52f0a97a00e9139db2177a3e32549
+SIZE (xpi/thunderbird-i18n-10.0.7/pt-BR.xpi) = 417229
+SHA256 (xpi/thunderbird-i18n-10.0.7/pt-PT.xpi) = 6e92c09d7c4fecbcd9c5c54a44401ce571fab14216fa7f5a4c3484327cf3104e
+SIZE (xpi/thunderbird-i18n-10.0.7/pt-PT.xpi) = 414266
+SHA256 (xpi/thunderbird-i18n-10.0.7/rm.xpi) = 52a6ecf1840e80b6bf4ac8bf0a7188c891f42606049f3fc1472fd107a0c1be77
+SIZE (xpi/thunderbird-i18n-10.0.7/rm.xpi) = 414709
+SHA256 (xpi/thunderbird-i18n-10.0.7/ru.xpi) = 80a78cb74462394387f85b7efbf94a5d1112419ba9ac891c3db8360624fa2f07
+SIZE (xpi/thunderbird-i18n-10.0.7/ru.xpi) = 411634
+SHA256 (xpi/thunderbird-i18n-10.0.7/si.xpi) = 97a8f425d2a37736235543e06338d8bde9b238d49b22b260fedd611fcb4a5fcc
+SIZE (xpi/thunderbird-i18n-10.0.7/si.xpi) = 456607
+SHA256 (xpi/thunderbird-i18n-10.0.7/sk.xpi) = fec10c4f96780eb6c14f3d70e730cfb63f9cf285db4ec515c69160cd51e89926
+SIZE (xpi/thunderbird-i18n-10.0.7/sk.xpi) = 425029
+SHA256 (xpi/thunderbird-i18n-10.0.7/sl.xpi) = 58ef94c1badb82b5d7b236900d57290431bd72b7d8e0e63c43c46eca7a1f9e5a
+SIZE (xpi/thunderbird-i18n-10.0.7/sl.xpi) = 410432
+SHA256 (xpi/thunderbird-i18n-10.0.7/sq.xpi) = 25e971347e1cc1fea876135eabb904f356396ade11f29a9a3151934d86c23ffc
+SIZE (xpi/thunderbird-i18n-10.0.7/sq.xpi) = 360480
+SHA256 (xpi/thunderbird-i18n-10.0.7/sv-SE.xpi) = 66d4b30a2cafdfa9e384f301c0ba7f5999d9c4c3e8f035ed378909b23dbecf06
+SIZE (xpi/thunderbird-i18n-10.0.7/sv-SE.xpi) = 478281
+SHA256 (xpi/thunderbird-i18n-10.0.7/ta-LK.xpi) = f42cb0e4034c217dfdc7e86bd280805657374965037690f101a37bf8c0778575
+SIZE (xpi/thunderbird-i18n-10.0.7/ta-LK.xpi) = 475718
+SHA256 (xpi/thunderbird-i18n-10.0.7/tr.xpi) = 768c15d8bb6609655fecbc720ebde9834962730c82ff32f4d0dd6df1f880c046
+SIZE (xpi/thunderbird-i18n-10.0.7/tr.xpi) = 418210
+SHA256 (xpi/thunderbird-i18n-10.0.7/uk.xpi) = 00e09bd289a3a1bf569e4d13cb3f012052f8f36d4f852e1fe0b6a1d69d1ac1cf
+SIZE (xpi/thunderbird-i18n-10.0.7/uk.xpi) = 463925
+SHA256 (xpi/thunderbird-i18n-10.0.7/zh-TW.xpi) = 3597c44d938c300eacab2de3a67f242a83d32b30ba9257f955740de480bad8b6
+SIZE (xpi/thunderbird-i18n-10.0.7/zh-TW.xpi) = 431827

Modified: head/mail/thunderbird-esr/Makefile
==============================================================================
--- head/mail/thunderbird-esr/Makefile	Thu Aug 30 14:49:00 2012	(r303377)
+++ head/mail/thunderbird-esr/Makefile	Thu Aug 30 14:54:17 2012	(r303378)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	thunderbird
-DISTVERSION=	10.0.6
+DISTVERSION=	10.0.7
 CATEGORIES=	mail ipv6
 MASTER_SITES=	${MASTER_SITE_MOZILLA}
 MASTER_SITE_SUBDIR=	${PORTNAME}/releases/${DISTVERSION}esr/source
@@ -21,8 +21,6 @@ BUILD_DEPENDS=	nspr>=4.8.8:${PORTSDIR}/d
 		cairo>=1.10.2_1,1:${PORTSDIR}/graphics/cairo \
 		unzip:${PORTSDIR}/archivers/unzip
 
-CONFLICTS_BUILD=	spidermonkey-*
-
 USE_AUTOTOOLS=	autoconf213:env
 LATEST_LINK=	thunderbird-esr
 USE_GECKO=	gecko

Modified: head/mail/thunderbird-esr/distinfo
==============================================================================
--- head/mail/thunderbird-esr/distinfo	Thu Aug 30 14:49:00 2012	(r303377)
+++ head/mail/thunderbird-esr/distinfo	Thu Aug 30 14:54:17 2012	(r303378)
@@ -1,2 +1,2 @@
-SHA256 (thunderbird-10.0.6esr.source.tar.bz2) = 0962399e13ea4b97816730ea81260ec304a6da49c9562840c776f4d1a536c1e8
-SIZE (thunderbird-10.0.6esr.source.tar.bz2) = 97779445
+SHA256 (thunderbird-10.0.7esr.source.tar.bz2) = 994ca16a01e4446747b54b1b5fb2bda11aec2c92359571bffa0f6c8e45f27c35
+SIZE (thunderbird-10.0.7esr.source.tar.bz2) = 97590919

Added: head/mail/thunderbird-esr/files/patch-bug691898
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/thunderbird-esr/files/patch-bug691898	Thu Aug 30 14:54:17 2012	(r303378)
@@ -0,0 +1,285 @@
+From: Mike Hommey <mh@glandium.org>
+Date: Sat, 24 Dec 2011 09:56:58 +0100
+Subject: Bug 691898 - Use YARR interpreter instead of PCRE on platforms where
+ YARR JIT is not supported
+
+---
+ js/src/Makefile.in           |   21 +++++++++++++--------
+ js/src/vm/RegExpObject-inl.h |   28 ++++++----------------------
+ js/src/vm/RegExpObject.cpp   |   36 ------------------------------------
+ js/src/vm/RegExpObject.h     |   27 ++++++---------------------
+ js/src/yarr/wtfbridge.h      |    2 --
+ 5 files changed, 25 insertions(+), 89 deletions(-)
+
+diff --git a/js/src/Makefile.in b/js/src/Makefile.in
+index fc48cbd..49f0bdc 100644
+--- mozilla/js/src/Makefile.in
++++ mozilla/js/src/Makefile.in
+@@ -416,15 +416,20 @@ CPPSRCS += 	checks.cc \
+ 
+ ifeq (,$(filter arm% sparc %86 x86_64,$(TARGET_CPU)))
+ 
+-VPATH +=        $(srcdir)/yarr/pcre \
++VPATH +=        $(srcdir)/assembler \
++                $(srcdir)/assembler/wtf \
++                $(srcdir)/yarr \
+ 		$(NULL)
+ 
+ CPPSRCS += \
+-                pcre_compile.cpp \
+-                pcre_exec.cpp \
+-                pcre_tables.cpp \
+-                pcre_xclass.cpp \
+-                pcre_ucp_searchfuncs.cpp \
++                Assertions.cpp \
++                OSAllocatorOS2.cpp \
++                OSAllocatorPosix.cpp \
++                OSAllocatorWin.cpp \
++                PageBlock.cpp \
++                YarrInterpreter.cpp \
++                YarrPattern.cpp \
++                YarrSyntaxChecker.cpp \
+ 		$(NULL)
+ else
+ 
+@@ -1015,10 +1020,10 @@ endif
+ # Needed to "configure" it correctly.  Unfortunately these
+ # flags wind up being applied to all code in js/src, not just
+ # the code in js/src/assembler.
+-CXXFLAGS += -DUSE_SYSTEM_MALLOC=1 -DENABLE_ASSEMBLER=1
++CXXFLAGS += -DUSE_SYSTEM_MALLOC=1
+ 
+ ifneq (,$(ENABLE_YARR_JIT)$(ENABLE_TRACEJIT)$(ENABLE_METHODJIT))
+-CXXFLAGS +=  -DENABLE_JIT=1
++CXXFLAGS +=  -DENABLE_JIT=1 -DENABLE_ASSEMBLER=1
+ endif
+ 
+ INCLUDES +=	-I$(srcdir)/assembler -I$(srcdir)/yarr
+diff --git a/js/src/vm/RegExpObject-inl.h b/js/src/vm/RegExpObject-inl.h
+index 5f7817d..91108a7 100644
+--- mozilla/js/src/vm/RegExpObject-inl.h
++++ mozilla/js/src/vm/RegExpObject-inl.h
+@@ -327,6 +327,7 @@ RegExpPrivate::create(JSContext *cx, JSString *source, RegExpFlag flags, TokenSt
+     return RetType(self);
+ }
+ 
++#if ENABLE_YARR_JIT
+ /* This function should be deleted once bad Android platforms phase out. See bug 604774. */
+ inline bool
+ RegExpPrivateCode::isJITRuntimeEnabled(JSContext *cx)
+@@ -337,12 +338,12 @@ RegExpPrivateCode::isJITRuntimeEnabled(JSContext *cx)
+     return true;
+ #endif
+ }
++#endif
+ 
+ inline bool
+ RegExpPrivateCode::compile(JSContext *cx, JSLinearString &pattern, TokenStream *ts,
+                            uintN *parenCount, RegExpFlag flags)
+ {
+-#if ENABLE_YARR_JIT
+     /* Parse the pattern. */
+     ErrorCode yarrError;
+     YarrPattern yarrPattern(pattern, bool(flags & IgnoreCaseFlag), bool(flags & MultilineFlag),
+@@ -359,7 +360,7 @@ RegExpPrivateCode::compile(JSContext *cx, JSLinearString &pattern, TokenStream *
+      * case we have to bytecode compile it.
+      */
+ 
+-#ifdef JS_METHODJIT
++#if ENABLE_YARR_JIT && defined(JS_METHODJIT)
+     if (isJITRuntimeEnabled(cx) && !yarrPattern.m_containsBackreferences) {
+         if (!cx->compartment->ensureJaegerCompartmentExists(cx))
+             return false;
+@@ -371,21 +372,11 @@ RegExpPrivateCode::compile(JSContext *cx, JSLinearString &pattern, TokenStream *
+     }
+ #endif
+ 
++#if ENABLE_YARR_JIT
+     codeBlock.setFallBack(true);
++#endif
+     byteCode = byteCompile(yarrPattern, cx->compartment->regExpAllocator).get();
+     return true;
+-#else /* !defined(ENABLE_YARR_JIT) */
+-    int error = 0;
+-    compiled = jsRegExpCompile(pattern.chars(), pattern.length(),
+-                  ignoreCase() ? JSRegExpIgnoreCase : JSRegExpDoNotIgnoreCase,
+-                  multiline() ? JSRegExpMultiline : JSRegExpSingleLine,
+-                  parenCount, &error);
+-    if (error) {
+-        reportPCREError(cx, error);
+-        return false;
+-    }
+-    return true;
+-#endif
+ }
+ 
+ inline bool
+@@ -431,19 +422,12 @@ RegExpPrivateCode::execute(JSContext *cx, const jschar *chars, size_t start, siz
+     else
+         result = JSC::Yarr::execute(codeBlock, chars, start, length, output);
+ #else
+-    result = jsRegExpExecute(cx, compiled, chars, length, start, output, outputCount);
++    result = JSC::Yarr::interpret(byteCode, chars, start, length, output);
+ #endif
+ 
+     if (result == -1)
+         return Success_NotFound;
+ 
+-#if !ENABLE_YARR_JIT
+-    if (result < 0) {
+-        reportPCREError(cx, result);
+-        return Error;
+-    }
+-#endif
+-
+     JS_ASSERT(result >= 0);
+     return Success;
+ }
+diff --git a/js/src/vm/RegExpObject.cpp b/js/src/vm/RegExpObject.cpp
+index f75c6a5..7631dd5 100644
+--- mozilla/js/src/vm/RegExpObject.cpp
++++ mozilla/js/src/vm/RegExpObject.cpp
+@@ -251,7 +251,6 @@ Class js::RegExpClass = {
+     NULL                     /* trace */
+ };
+ 
+-#if ENABLE_YARR_JIT
+ void
+ RegExpPrivateCode::reportYarrError(JSContext *cx, TokenStream *ts, ErrorCode error)
+ {
+@@ -283,41 +282,6 @@ RegExpPrivateCode::reportYarrError(JSContext *cx, TokenStream *ts, ErrorCode err
+     }
+ }
+ 
+-#else /* !ENABLE_YARR_JIT */
+-
+-void
+-RegExpPrivateCode::reportPCREError(JSContext *cx, int error)
+-{
+-#define REPORT(msg_) \
+-    JS_ReportErrorFlagsAndNumberUC(cx, JSREPORT_ERROR, js_GetErrorMessage, NULL, msg_); \
+-    return
+-    switch (error) {
+-      case -2: REPORT(JSMSG_REGEXP_TOO_COMPLEX);
+-      case 0: JS_NOT_REACHED("Precondition violation: an error must have occurred."); 
+-      case 1: REPORT(JSMSG_TRAILING_SLASH);
+-      case 2: REPORT(JSMSG_TRAILING_SLASH); 
+-      case 3: REPORT(JSMSG_REGEXP_TOO_COMPLEX);
+-      case 4: REPORT(JSMSG_BAD_QUANTIFIER);
+-      case 5: REPORT(JSMSG_BAD_QUANTIFIER);
+-      case 6: REPORT(JSMSG_BAD_CLASS_RANGE);
+-      case 7: REPORT(JSMSG_REGEXP_TOO_COMPLEX);
+-      case 8: REPORT(JSMSG_BAD_CLASS_RANGE);
+-      case 9: REPORT(JSMSG_BAD_QUANTIFIER);
+-      case 10: REPORT(JSMSG_UNMATCHED_RIGHT_PAREN);
+-      case 11: REPORT(JSMSG_REGEXP_TOO_COMPLEX);
+-      case 12: REPORT(JSMSG_UNMATCHED_RIGHT_PAREN);
+-      case 13: REPORT(JSMSG_REGEXP_TOO_COMPLEX);
+-      case 14: REPORT(JSMSG_MISSING_PAREN);
+-      case 15: REPORT(JSMSG_BAD_BACKREF);

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Florian Smeets freebsd_committer 2012-08-30 16:05:34 UTC
State Changed
From-To: open->closed

Committed. Thanks!